%define module_name	drm-via
%define module_version	2004.06.24
%define module_release	alt1

# :pserver:anonymous@dri.freedesktop.org:/cvs/dri
# drm/linux
# only drm* and via*
%define module_source	drm-cle266-20040624.tar.bz2

#### MODULE SOURCES ####
Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
URL: http://dri.sourceforge.net/
BuildArch: noarch

BuildRequires: kernel-build-tools

Source0: %module_source
Source1: drm-via-Makefile
Source2: drm-via-drm-Makefile

Patch1: drm-via-new-drm-headers.patch
Patch2: drm-via-drm_vm-update.patch
Patch3: drm-via-page_count.patch
Patch4: drm-via-export.patch

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
%module_name modules sources for Linux kernel

%prep
%setup -c -q -n kernel-source-%module_name-%module_version
%__mv drm-cle266-20040624 drm

%__subst "`printf 's/\015//'`" -p drm/via*

%__install -p -m644 %SOURCE1 Makefile
%__install -p -m644 %SOURCE2 drm/Makefile

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%install
%__mkdir_p %kernel_srcdir
%__tar -c -C .. kernel-source-%module_name-%module_version | %__bzip2 -c > \
	%kernel_srcdir/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/*

%changelog
* Thu Jun 24 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.24-alt1
- Sources from DRI CVS (cle266-0-0-1-branch)

